zenilib: zenilib/jni/external/sdl/src/video/bwindow/SDL_bwindow.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDL_bwindow.h File Reference
`#include "../SDL_sysvideo.h"`

Go to the source code of this file.

## Functions

int | BE_CreateWindow (_THIS, SDL_Window *window)
int | BE_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | BE_DestroyWindow (_THIS, SDL_Window *window)
int | BE_GetWindowGammaRamp (_THIS, SDL_Window *window, Uint16 *ramp)
SDL_bool | BE_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
void | BE_HideWindow (_THIS, SDL_Window *window)
void | BE_MaximizeWindow (_THIS, SDL_Window *window)
void | BE_MinimizeWindow (_THIS, SDL_Window *window)
void | BE_RaiseWindow (_THIS, SDL_Window *window)
void | BE_RestoreWindow (_THIS, SDL_Window *window)
void | BE_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
void | BE_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int | BE_SetWindowGammaRamp (_THIS, SDL_Window *window, const Uint16 *ramp)
void | BE_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | BE_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | BE_SetWindowPosition (_THIS, SDL_Window *window)
void | BE_SetWindowSize (_THIS, SDL_Window *window)
void | BE_SetWindowTitle (_THIS, SDL_Window *window)
void | BE_ShowWindow (_THIS, SDL_Window *window)

## Function Documentation

int BE_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int BE_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

void BE_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int BE_GetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint16 * | ramp
| ) |  |

SDL_bool BE_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

void BE_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

void BE_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

int BE_SetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const Uint16 * | ramp
| ) |  |

void BE_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

void BE_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

void BE_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void BE_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |